import { Collection } from "@repo/rdx-utils";
import { Tax } from "./tax";

export class Taxes extends Collection<Tax> {
  public static create<T extends Taxes>(this: new (items: Tax[]) => T, items: Tax[]): T {
    return new this(items);
  }
}
